unit ZitateOnline_main;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, Forms, Controls, Graphics, Dialogs, StdCtrls, DBGrids,
  ZitateMsg, ZitateServer, ZitateServerDB, Zitat, ZitateDB, db, Anzeige, Spezial, Komplex;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Button5: TButton;
    Button6: TButton;
    Datasource1: TDatasource;
    DBGrid1: TDBGrid;
    ToggleBox1: TToggleBox;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure Button6Click(Sender: TObject);
    procedure DBGrid1DblClick(Sender: TObject);
    procedure DBGrid1TitleClick(Column: TColumn);
    procedure FormCreate(Sender: TObject);
    procedure ToggleBox1Change(Sender: TObject);
    procedure MenueDeaktivieren(Sender: TObject);
  private
    ab: boolean;
    column_letzte: integer;
  public
    { public declarations }
  end;

var
  Form1: TForm1;
  zitat2: TZitat;

implementation

{$R *.lfm}

{ TForm1 }

procedure TForm1.Button1Click(Sender: TObject);
begin
   Nachricht('Versuche Verbindung zur Sprüche Datenbank');
   if not Zitadell.sucheSQLiteDatabase( 'dbTest.s3db' ) or
      not Zitadell.openSQliteDatabase
   then begin
        Nachricht('Datenbank Fehler???  Disable Menü');
        MenueDeaktivieren(Sender);
   end
   else begin
        button1.Enabled:= false;
        button3.Enabled:= true;
        button2.Enabled:= true;
        Nachricht('Verbindung zu SQLite hat geklappt :-)');
   end;
end;

procedure TForm1.MenueDeaktivieren(Sender: TObject);
begin
   button1.Enabled:=false;
   button2.Enabled:=false;
   button3.Enabled:=false;
   button4.Enabled:=false;
   button5.Enabled:=false;
   button6.Enabled:=false;
   togglebox1.Checked:=false;
   togglebox1.Enabled:=false;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
   button2.Enabled:= false;
   button5.Enabled:= true;
   zitateDB1.openEditCursor;
   togglebox1.Checked:=false;
   togglebox1.Enabled:=false;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
   DataSource1.DataSet:= zitateDB1.getZitateSetApplyUpdate;
   DBGrid1.Columns[0].Visible:= false;
   button2.Enabled:= true;
   button4.Enabled:= true;
   button6.Enabled:= true;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
   Form5.ID:=Datasource1.DataSet.FieldByName('ID').asInteger;
   DataSource1.Dataset.DisableControls; //nur nötig wegen der Commits
   Form5.ShowModal;
   DataSource1.Dataset.EnableControls;  //nur nötig wegen der Commits
   Button3Click(Sender);                //nur nötig wegen der Commits
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
   button5.Enabled:= false;
   button2.Enabled:= true;
   zitateDB1.updateCursor;
   togglebox1.Enabled:=true;
   Button3Click(Sender);                //nur nötig wegen der Commits
end;

procedure TForm1.Button6Click(Sender: TObject);
begin
   Form4.ID:=Datasource1.DataSet.FieldByName('ID').asInteger;
   //DataSource1.Dataset.DisableControls;
   Form4.ShowModal;
   //DataSource1.Dataset.EnableControls;
   //Button3Click(Sender);
end;

procedure TForm1.DBGrid1DblClick(Sender: TObject);
begin
   Form2.ID:=Datasource1.DataSet.FieldByName('ID').asInteger;
   //DataSource1.Dataset.DisableControls;
   Form2.ShowModal;
   //DataSource1.Dataset.EnableControls;
   //Button3Click(Sender);
   ShowMessage(Datasource1.DataSet.FieldByName('Spruch').asString);
end;

procedure TForm1.DBGrid1TitleClick(Column: TColumn);
begin
   if Column.Index = column_letzte
      then ab:= not ab
      else ab:= false;
   column_letzte:= Column.Index;
   DataSource1.DataSet:= zitateDB1.getZitateSetSortiert(Column.index, ab);
   DBGrid1.Columns[0].Visible:= false;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
   ab:= false;
   column_letzte:= -1;
end;

procedure TForm1.ToggleBox1Change(Sender: TObject);
begin
   DBGrid1.ReadOnly:= ToggleBox1.Checked;
end;

end.

